import gtk,  os

class ExampleThing():
    """ From LXF 153, this is a simple filemanager that demonstrates uimanager"""
    def __init__(self):
        #initialise stuff
        #create liststore to store data for TreeView
        self.ui = '''<ui>
    <menubar name="MenuBar">
      <menu action="File">
        <menuitem action="Open"/>
        <menuitem action="Save"/>
        <menuitem action="Quit"/>
      </menu>
    </menubar>
    <toolbar name="Toolbar">
      <toolitem action="Open"/>
      <toolitem action="Save"/>
      <separator/>
      <toolitem action="Quit"/>
    </toolbar>
    </ui>'''
    
        self.window=gtk.Window()
        self.uimanager = gtk.UIManager()
        self.accelgroup = self.uimanager.get_accel_group()
        self.window.add_accel_group(self.accelgroup)
        self.actiongroup = gtk.ActionGroup('global')
        # Create actions
        self.actiongroup.add_actions([
                    ('File', None, '_File'), 
                    ('Quit', gtk.STOCK_QUIT,  None,  '<Control>Q',None, self.on_quit_action), 
                    ('Open',  gtk.STOCK_OPEN,  None,  '<Control>O', None, self.on_open_action), 
                    ('Save',  gtk.STOCK_SAVE,  None,  '<Control>S', None,  self.on_save_action )
                         ] )             
      
        self.uimanager.insert_action_group(self.actiongroup, 0)
        self.uimanager.add_ui_from_string(self.ui)
        menubar = self.uimanager.get_widget('/MenuBar')
        toolbar = self.uimanager.get_widget('/Toolbar')
        label=gtk.Label()
        label.set_text("this is just \n a test.")
        
        vbox = gtk.VBox(False, 2)
        vbox.pack_start(menubar, False, False, 0)
        vbox.pack_start(toolbar, False, False, 0)
        vbox.pack_start(label, True, True, 0)


        #set up window

        self.window.set_title("UI Thing")
        self.window.set_size_request(400, 200)
        self.window.add(vbox)
        self.window.connect("destroy", gtk.main_quit)
        self.window.show_all()


# TODO: You need to fill in these actions yourself!
    def on_quit_action(self, item):
        self.window.destroy()
        
    def on_open_action(self, item):
        pass
        
    def on_save_action(self, item):
       pass

if __name__ == "__main__":
    ExampleThing()
    gtk.main()
